<?php

namespace App\Repositories;

use App\Models\QualityCheck;
use App\Repositories\BaseRepository;

/**
 * Class QualityCheckRepository
 * @package App\Repositories
 * @version December 17, 2019, 3:48 am UTC
*/

class QualityCheckRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return QualityCheck::class;
    }
}
